cowboy_req:has_resp_body(3)

NAME

cowboy_req:has_resp_body - Is there a response body?

DESCRIPTION
    has_resp_body(Req :: cowboy_req:req()) -> boolean()

Return whether a response body has been set.

ARGUMENTS

Req
    The Req object.

RETURN VALUE

A boolean indicating whether a response body has been set.

This function will return false when an empty response body has been set.

CHANGELOG
    • 1.0: Function introduced.

EXAMPLES

Check whether a body has been set
    false = cowboy_req:has_resp_body(Req0),
    Req1 = cowboy_req:set_resp_body(<<"Hello!">>, Req0),
    true = cowboy_req:has_resp_body(Req1),
    Req = cowboy_req:set_resp_body(<<>>, Req1),
    false = cowboy_req:has_resp_body(Req).

SEE ALSO

cowboy_req(3), cowboy_req:set_resp_body(3)